- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fmgr_device – Add or remove device from FortiManager

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Add or remove a device or list of devices from FortiManager Device Manager using JSON RPC API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom - / required | Default: "root" | The ADOM the configuration should belong to.
blind_add - | Choices: enable disable ← | When adding a device, module will check if it exists, and skip if it does. If enabled, this option will stop the module from checking if it already exists, and blindly add the device.
device_ip - |  | The IP of the device being added to FortiManager. Supports both IPv4 and IPv6.
device_password - |  | The password of the device being added to FortiManager.
device_serial - |  | The serial number of the device being added to FortiManager.
device_unique_name - |  | The desired "friendly" name of the device being added to FortiManager.
device_username - |  | The username of the device being added to FortiManager.
mode - | Choices: add ← delete | The desired mode of the specified object.

## Notes

Note

- Full Documentation at https://ftnt-ansible-docs.readthedocs.io/en/latest/.

## Examples

    - name: DISCOVER AND ADD DEVICE FGT1
      fmgr_device:
        adom: "root"
        device_username: "admin"
        device_password: "admin"
        device_ip: "10.10.24.201"
        device_unique_name: "FGT1"
        device_serial: "FGVM000000117994"
        mode: "add"
        blind_add: "enable"

    - name: DISCOVER AND ADD DEVICE FGT2
      fmgr_device:
        adom: "root"
        device_username: "admin"
        device_password: "admin"
        device_ip: "10.10.24.202"
        device_unique_name: "FGT2"
        device_serial: "FGVM000000117992"
        mode: "delete"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)
- Andrew Welsh (@Ghilli3)
- Jim Huber (@p4r4n0y1ng)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.